Bug 162609 - pvmove can hang
pvmove can hang
Status: CLOSED WORKSFORME
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-06 16:24 EDT by Corey Marthaler
Modified: 2010-01-11 23:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 11:51:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-07-06 16:24:44 EDT
Description of problem:
I had a gfs mounted on a three node cluster, and I then added another pv to the
vg and then attempted to do a pvmove from one of the pvs to the new pv. This
resulted on bz 162607. So I then tried it on another node and it hung:

[...]
write(4, "# Generated by LVM2: Wed Jul  6 "..., 2615) = 2615
close(4)                                = 0
munmap(0x2a97c3a000, 4096)              = 0
open("/etc/lvm/archive", O_RDONLY|O_NONBLOCK|O_DIRECTORY) = 4
fstat(4, {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0
getdents64(4, /* 4 entries */, 4096)    = 144
getdents64(4, /* 0 entries */, 4096)    = 0
close(4)                                = 0
link("/etc/lvm/archive/.lvm_link-08_3532_827701109",
"/etc/lvm/archive/linear_8_2048_00001.vg") = 0
stat("/etc/lvm/archive/.lvm_link-08_3532_827701109", {st_mode=S_IFREG|0600,
st_size=2615, ...}) = 0
unlink("/etc/lvm/archive/.lvm_link-08_3532_827701109") = 0
write(2, "  ", 2  )                       = 2
write(2, "  ", 2  )                       = 2
write(2, "Creating logical volume pvmove0", 31Creating logical volume pvmove0) = 31
write(2, "\n", 1
)                       = 1
open("/dev/urandom", O_RDONLY)          = 4
read(4, "\307t\231x~\336\32\333\300\253\213\322c\306ac\361\20:\206"..., 32) = 32
close(4)                                = 0
open("/proc/devices", O_RDONLY)         = 4
fstat(4, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a97c3a000
read(4, "Character devices:\n  1 mem\n  4 /"..., 1024) = 445
close(4)                                = 0
munmap(0x2a97c3a000, 4096)              = 0
open("/proc/misc", O_RDONLY)            = 4
fstat(4, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2a97c3a000
read(4, " 61 dlm_clvmd\n 62 dlm-control\n18"..., 1024) = 81
close(4)                                = 0
munmap(0x2a97c3a000, 4096)              = 0
stat("/dev/mapper/control", {st_mode=S_IFCHR|0600, st_rdev=makedev(10, 63),
...}) = 0
open("/dev/mapper/control", O_RDWR)     = 4
ioctl(4, DM_VERSION, 0x6be270)          = 0
ioctl(4, DM_LIST_VERSIONS, 0x6be270)    = 0
write(2, "  ", 2  )                       = 2
write(2, "  ", 2  )                       = 2
write(2, "Moving 75 extents of logical vol"..., 64Moving 75 extents of logical
volume linear_8_2048/linear_8_20480) = 64
write(2, "\n", 1
)                       = 1
write(3, "2\1h\0\0\0\0\0\0\0\0\0C\0\0\0\0\35\0dqdhy4VSNb2Su"..., 85) = 85
read(3,


I was then told that pvmove only works with a single node and isn't avilable for
 a cluster yet, but it still shouldn't hang.

Version-Release number of selected component (if applicable):
Cluster LVM daemon version: 2.01.09 (2005-04-04)
Protocol version:           0.2.1
Comment 1 Christine Caulfield 2005-07-07 08:26:00 EDT
I can't make this happen on my Fedora cluster, I either get the "Resource
temporarily unavailable" messages or (if I umount all GFS filesystem on all
nodes) a sucessful pvmove.

If you can reproduce this can you strace clvmd please - all I can see here is
that lvm has asked clvmd to lock the LV but it hasn't responded. A debug-enabled
clvmd would be /much/ more helpful of course ;-)
Comment 2 Corey Marthaler 2005-07-12 18:36:40 EDT
I can't seem to get this to occur lately after many attempts with many different
disk configurations. I'll keep an eye out for it though...

Note You need to log in before you can comment on or make changes to this bug.